JvmToolchainManagement (Gradle API 8.11.1)

Package org.gradle.jvm.toolchain

## Interface JvmToolchainManagement

-     @Incubating
      public interface JvmToolchainManagement

  Dynamic extension added to `ToolchainManagement` at runtime, by the `jvm-toolchain-management` plugin. Provides a `jvm` block to configure the ordered list of Java toolchain repositories to use for auto-provisioning.
  Since:
    7.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JavaToolchainRepositoryHandler` | `getJavaRepositories()` | Returns the handler for the ordered list of configured `JavaToolchainRepository` implementations.
    `void` | `javaRepositories​(Action<? super JavaToolchainRepositoryHandler> configureAction)` | `NamedDomainObjectList` based handler for configuring an ordered collection of Java toolchain repositories:

- - ### Method Detail

    - #### getJavaRepositories

          JavaToolchainRepositoryHandler getJavaRepositories()

      Returns the handler for the ordered list of configured `JavaToolchainRepository` implementations.

    - #### javaRepositories

          void javaRepositories​(Action<? super JavaToolchainRepositoryHandler> configureAction)

      `NamedDomainObjectList` based handler for configuring an ordered collection of Java toolchain repositories:

           toolchainManagement {
               jvm {
                   javaRepositories {
                       repository('registry1') {
                           resolverClass = com.example.CustomToolchainRegistry1
                           credentials {
                               username "user"
                               password "password"
                           }
                           authentication {
                               digest(BasicAuthentication)
                           }
                       }
                       repository('registry2') {
                           resolverClass = com.example.CustomToolchainRegistry2
                       }
                   }
               }